﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;
using Steema.TeeChart;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            tChart.Axes.Left.LogarithmicBase = 10;
            tChart.Axes.Left.Logarithmic = true;
            tChart.Axes.Left.Automatic = true;

            tChart.Axes.Bottom.LogarithmicBase = 10;
            tChart.Axes.Bottom.Logarithmic = true;
            tChart.Axes.Bottom.Automatic = true;
            
            tChart.Aspect.View3D = false;
            tChart.Aspect.ZOffset = 0;

            double[] x1 = new double[] { 10, 68, 134, 144 };
            double[] y1 = new double[] { 8.587E-04, 7.862E-04, 7.143E-04, 5.864E-04 };
            addLine("results", x1, y1, Color.Red, DashStyle.Solid, true);

            double[] x2 = new double[] { 1, 1000};
            double[] y2 = new double[] { 9.5714E-02, 9.5714E-05 };
            addLine("results", x2, y2, Color.Green, DashStyle.Solid, false);

            double[] x3 = new double[] { 1, 2, 5, 10, 20, 50, 100, 200, 500, 1000};
            double[] y3 = new double[] { 9.5714E-02, 4.7857E-02, 1.9143E-02, 9.5714E-03, 4.7857E-03, 1.9143E-03, 9.5714E-04, 4.7857E-04, 1.9143E-04, 9.5714E-05 };
            addLine("results", x3, y3, Color.Blue, DashStyle.Solid, false);

        }
        private void addLine(string title, double[] x, double[] y, Color c, DashStyle style, bool pntVisible)
        {
            Steema.TeeChart.Styles.Line line = new Steema.TeeChart.Styles.Line();

            line.Stairs = false;
            line.Title = title;
            line.Color = c;
            line.ShowInLegend = true;
            line.LinePen.Width = 2;
            line.LinePen.Style = style;
            line.Marks.Visible = false;
            line.Pointer.Visible = pntVisible;
            line.Pointer.Style = PointerStyles.Diamond;
            line.Pointer.Color = line.Color;

            for (int j = 0; j < x.Length; j++) line.Add(x[j], y[j]);

            this.tChart.Series.Add(line);
        }

    }
}
